/*
 * delay.c
 *
 *  Created on: 8  2024 .
 *      Author: Andrej
 */
#include "delay.h"

void delay_init(void)
{
	RCC->APB1ENR |= RCC_APB1ENR_TIM2EN;   //   TIM2
	TIM2->CR1 = TIM_CR1_OPM;              //  
	TIM2->CNT = 0;
	TIM2->SR &= ~TIM_SR_UIF;	          // 
}


void delay_ms(uint16_t ms)
{
	TIM2->PSC     = 49999;            	//    
	TIM2->ARR = ms * 2;                	//  
	TIM2->CNT = 0;
	TIM2->CR1 = TIM_CR1_CEN;	          // 
	while(!(TIM2->SR & TIM_SR_UIF));	 //  
	TIM2->SR &= ~TIM_SR_UIF;	          // 
}


void delay_us(uint16_t us)
{
	TIM2->PSC     = 99;              	//    
	TIM2->ARR = us;                  	//  
	TIM2->CNT = 0;
	TIM2->CR1 = TIM_CR1_CEN;	          // 
	while(!(TIM2->SR & TIM_SR_UIF));	 //  
	TIM2->SR &= ~TIM_SR_UIF;	          // 
}

